<?php
namespace Claromentis\Search;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] ?: array()) + array("_89317315bf1853" . "e3644635cf16af3" . "b06" => base64_decode("VGV4dCBleHRyYWN0" . "b3IgZXJyb3IgZnJv" . "bSBmaWxlICI="), "_e92ad742" . "fc12ec1dd" . "5c30557fa" . "fca331" => base64_decode("Ig" . "=="), "_76b8f4f0c6d86cb513c6a0c491de1" . "e8d" => base64_decode("VGV4dCBleHRyYWN0b3IgaXMgY29uZmlndXJlZCBidXQgdGhlIGNvbm5lY3Rpb24gY2hlY2sgZmFpbGVkIHNvIGl0IHdpbGwgYmUgZGlzYWJsZWQuIE1lc3N" . "hZ2U6ICI="), "_63fc7fd38817bf222bc4e3a04e1" . "7f2c3" => base64_decode("Ii4gTWV" . "zc2FnZT" . "ogIg=="), "_4d707fab93bebb00bbe" . "69e8159697c90" => base64_decode(""));
use Psr\Log\LoggerAwareInterface;
use Psr\Log\LoggerAwareTrait;
use Psr\Log\LoggerInterface;
use Psr\Log\NullLogger;
use Vaites\ApacheTika;
class TextExtractorService implements LoggerAwareInterface
{
    use LoggerAwareTrait;
    protected ?ApacheTika\Client $tikaClient = null;
    protected ?bool $isWorking = null;
    public function __construct(?ApacheTika\Client $_7ea853d2916986a25d9e854d8839f86e = null, LoggerInterface $logger = null)
    {
        $this->setLogger($logger ?? new NullLogger());
        $this->tikaClient = $_7ea853d2916986a25d9e854d8839f86e;
    }
    
    
    
    
    
    public function getText(string $filename) : string
    {
        if ($this->tikaClient === null || !$this->isAvailable()) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4d707fab93bebb00bbe69e8" . "159697c90"];
        }
        try {
            return $this->tikaClient->getText($filename);
        } catch (\Exception $e) {
            $this->logger->error($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_89317315bf1" . "853e3644635c" . "f16af3b06"] . $filename . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_63fc7fd38817bf222bc4e3a04e1" . "7f2c3"] . $e->getMessage() . $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_e92ad742fc12ec1dd5c" . "30557fafca331"]);
            $this->logger->debug($e);
            return $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4d707fab9" . "3bebb00bbe" . "69e8159697" . "c90"];
        }
    }
    public function isAvailable() : bool
    {
        if ($this->isWorking === null) {
            $this->isWorking = false;
            if ($this->tikaClient !== null) {
                try {
                    $this->tikaClient->check();
                    $this->isWorking = true;
                } catch (\Exception $e) {
                    $this->logger->error($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_76b8f4f0" . "c6d86cb51" . "3c6a0c491" . "de1e8d"] . $e->getMessage() . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e92ad742fc12ec1d" . "d5c30557fafca331"]);
                    $this->logger->debug($e);
                }
            }
        }
        return $this->isWorking;
    }
}